<?php
/*
 * @component AlphaUserPoints
 * @copyright Copyright (C) 2008 Bernard Gilly
 * @license : GNU/GPL
 * @Website : http://www.alphaplug.com
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.model' );

class alphauserpointsModelRequests extends Jmodel {

	function __construct(){
		parent::__construct();
	}
	
	
	function _load_currentrequestschangelevel() {
	
		$db =& JFactory::getDBO();
		
		$query = "SELECT * FROM #__alpha_userpoints_requests WHERE `checkedadmin`='0' ORDER BY requestdate ASC";
		$total  = @$this->_getListCount($query);
		$result = $this->_getList($query, 0, 10);
		
		return array($result, $total);
	}
	

	function _rejectlevel() {
		global $mainframe;
		
		$db			    =& JFactory::getDBO();
		
		$id = JRequest::getVar( 'id', '0', 'get', 'int' );		
		if (!$id) return;
		
		$row =& JTable::getInstance('userspointsrequests');
		$row->load( intval($id) );
		
		$row->checkedadmin = 1;
		$db->updateObject( '#__alpha_userpoints_requests', $row, 'id' );
		
	}
	
	function _acceptlevel() {
		global $mainframe;
		
		$db			    =& JFactory::getDBO();
		$acl			=& JFactory::getACL();
		
		$id = JRequest::getVar( 'id', '0', 'get', 'int' );		
		if (!$id) return;
		
		$row =& JTable::getInstance('userspointsrequests');
		$row->load( intval($id) );
		
		$row->checkedadmin = 1;
		$row->response = 1;
		$db->updateObject( '#__alpha_userpoints_requests', $row, 'id' );
		
 		// Create a new JUser object
		$user = new JUser(JRequest::getVar( 'uid', 0, 'get', 'int'));

		$assignlevel= JRequest::getVar( 'assignlevel', '0', 'get', 'int' );
			
		if ( $assignlevel ) $post['gid'] = $assignlevel;
		
		if (!$user->bind($post))
		{
			$mainframe->enqueueMessage(JText::_('CANNOT SAVE THE USER INFORMATION'), 'message');
			$mainframe->enqueueMessage($user->getError(), 'error');
			return;
		}
		
		if (!$user->save()) {
			$mainframe->enqueueMessage(JText::_('CANNOT SAVE THE USER INFORMATION'), 'message');
			$mainframe->enqueueMessage($user->getError(), 'error');
			return;
		}
		
		$mainframe->enqueueMessage( JText::_('AUP_REQUESTACCEPTED' ) .  " : " . JText::_('AUP_LEVELMODIFIEDSUCCESSFULLY' ) );	
		
	}
	
}
?>