<?php
/*
 * @component AlphaUserPoints
 * @copyright Copyright (C) 2008 Bernard Gilly
 * @license : GNU/GPL
 * @Website : http://www.alphaplug.com
 */


// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );
jimport( 'joomla.html.pagination' );

class alphauserpointsViewRules extends JView {

	function _displaylist($tpl = null) {
		global $mainframe;
		$document	= & JFactory::getDocument();
		
		$this->assignRef( 'rules', $this->rules );
	
		$pagination = new JPagination( $this->total, $this->limitstart, $this->limit );		
		$this->assignRef('pagination', $pagination );
		
		parent::display( $tpl) ;
	}
	
	function _edit_rule($tpl = null) {
		global $mainframe;
		
		$document	= & JFactory::getDocument();
  		JHTML::_('behavior.mootools');
		JHTML::_('behavior.calendar');
		$document->addScriptDeclaration("window.addEvent('domready', function(){ var JTooltips = new Tips($$('.hasTip'), { maxTitleChars: 50, fixed: false}); });");
		
		$lists = array();
		// build the html radio buttons for published
		$lists['published'] = JHTML::_('select.booleanlist', 'published', '', $this->row->published);		
		$lists['autoapproved'] = JHTML::_('select.booleanlist', 'autoapproved', '', $this->row->autoapproved);
		
		$auth[] = JHTML::_('select.option', 'Registered', 'Registered');
		$auth[] = JHTML::_('select.option', 'Author', 'Author');
		$auth[] = JHTML::_('select.option', 'Editor', 'Editor');
		$auth[] = JHTML::_('select.option', 'Publisher', 'Publisher');

		$lists['percentage'] = JHTML::_('select.booleanlist', 'percentage', '', $this->row->percentage);
		
		$this->assignRef( 'row', $this->row );
		$this->assignRef( 'lists', $lists );
	
		parent::display( "form" ) ;
	}
}
?>
