<?php
/*
 * @component AlphaUserPoints
 * @copyright Copyright (C) 2008 Bernard Gilly
 * @license : GNU/GPL
 * @Website : http://www.alphaplug.com
 */

 // no direct access
defined('_JEXEC') or die('Restricted access');
$line=1; // use for alternate color
$db =& JFactory::getDBO();
$nullDate = $db->getNullDate();

if ( $this->params->get( 'show_page_title', 1 ) ) { 
?>
<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
	<?php echo $this->params->get( 'page_title' ); ?>
</div>
<?php
}

echo "<b>" . JText::_('AUP_MYPOINTS') . "</b> : " . intval($this->currenttotalpoints) . "<br />";
echo "<b>" . JText::_('AUP_LASTUPDATE') . "</b> : " . $this->lastupdate . "<br /><br />";

if ( $this->referraluser!='' ) {
	echo "<b>" . JText::_('AUP_MYREFRERRALUSER') . "</b> : <br /><br />" ;
	echo $this->referraluser . " (" . $this->referralname . ")";
}

echo "<br />";

if ( $this->rowsreferrees ) {
	echo "<br /><b>" . JText::_('AUP_MYREFERREES') . "</b> : <br /><br />";
	foreach ( $this->rowsreferrees as $referrees ) {
		echo $referrees->referreid .  " (" . $referrees->username . ")<br />";
	}
	echo "<br />";
}

if ( $this->messageChangeLevel!='' ) {

	$linktorequest = "index.php?option=com_alphauserpoints&amp;task=requesttochangelevel";
	$torequestlink =  "<a href=\"" . JRoute::_($linktorequest) . "\">" . JText::_('AUP_TOREQUEST') . "</a>";

	echo "<b>" . $this->messageChangeLevel . "</b><br />";
	
	if ( $this->currentrequests ) {
			
		?>
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="left" width="20%">
				<?php echo JText::_('AUP_DATE'); ?>
			</td>
			<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="left">
				<?php echo JText::_('AUP_STATUS'); ?>
			</td>
		</tr>
		<?php	
		$k = 0;
		$torequest = 1;
		$nbrejected = 0;
		foreach ($this->currentrequests as $rowCR) {
		?>
		<tr>
			<td class="sectiontableentry<?php echo $k; ?><?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="left" width="15%">
				<?php echo JHTML::_('date',  $rowCR->requestdate,  JText::_('DATE_FORMAT_LC2') ); ?>
			</td>
			<td class="sectiontableentry<?php echo $k; ?><?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="left" width="25%">
				<?php
				 if ( $rowCR->checkedadmin && !$rowCR->response ) {
				 	echo JText::_('AUP_REQUESTREJECTED');
					$nbrejected++;
				 } elseif ( $rowCR->checkedadmin && $rowCR->response ) {
					echo JText::_('AUP_REQUESTACCEPTED');
					$torequest = 0;		 
				 } elseif ( !$rowCR->checkedadmin ) {
				 	echo JText::_('AUP_PENDINGREQUEST');
					$torequest = 0;
				 }				 
				 ?>
			</td>
		</tr>
		<?php
		}
		?>
		</table>
		<?php
		if ( $torequest && $nbrejected < 3 ) {
			// authorize only 3 requests
			echo $torequestlink;
		}
	} else echo $torequestlink;
	
	echo "<br /><br />";


}

echo "<b>" . JText::_('AUP_LASTACTIVITY') . "</b>";
?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
	<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="left" width="15%">
		<?php echo JText::_('AUP_DATE'); ?>
	</td>
	<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="left" width="25%">
		<?php echo JText::_('AUP_ACTION'); ?>
	</td>
	<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="center" width="5%">
		<?php echo JText::_('AUP_POINTS'); ?>
	</td>
	<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="center" width="15%">
		<?php echo JText::_('AUP_EXPIRE'); ?>
	</td>
	<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="left">
		<?php echo JText::_('AUP_DETAIL'); ?>
	</td>
	<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="center">
		<?php echo JText::_('AUP_APPROVED'); ?>
	</td>
</tr>
<?php 
$k = 0;
foreach ($this->rowslastpoints as $lastpoints) { 	
?>
	<tr>
		<td class="sectiontableentry<?php echo $k; ?><?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="left" width="15%">
			<?php echo JHTML::_('date',  $lastpoints->insert_date,  JText::_('DATE_FORMAT_LC2') ); ?>
		</td>
		<td class="sectiontableentry<?php echo $k; ?><?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="left" width="25%">
			<?php echo JText::_($lastpoints->rule_name); ?>
		</td>
		<td class="sectiontableentry<?php echo $k; ?><?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="center" width="5%">
			<?php echo $lastpoints->points; ?>
		</td>
		<td class="sectiontableentry<?php echo $k; ?><?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="center" width="15%">
			<?php			
				if ( $lastpoints->expire_date == $nullDate ) {
					echo '-';
				} else {
					echo JHTML::_('date',  $lastpoints->expire_date,  JText::_('DATE_FORMAT_LC') );
				}						 
			 ?>
		</td>
		<td class="sectiontableentry<?php echo $k; ?><?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="left">
			<?php echo $lastpoints->datareference; ?>
		</td>
		<td class="sectiontableentry<?php echo $k; ?><?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="center">
			<?php
			$img = ( $lastpoints->approved )? 'tick.png' : 'publish_x.png' ;	
			$alt = ( $lastpoints->approved )? 'AUP_APPROVED' : 'AUP_PENDINGAPPROVAL' ;	 
			 ?>
			 <img src="components/com_alphauserpoints/assets/images/<?php echo $img; ?>" border="0" title="<?php echo JText::_( $alt ); ?>" alt="<?php echo JText::_( $alt ); ?>" />
		</td>
	</tr>
	
<?php 
	$k = 1 - $k;
} 
?>
</table>
<?php
	/** 
	*
	*  Provide copyright on frontend
	*  If you remove or hide this line below,
	*  please make a donation if you find AlphaUserPoints useful
	*  and want to support its continued development.
	*  Your donations help by hardware, hosting services and other expenses that come up as we develop,
	*  protect and promote AlphaUserPoints and other free components.
	*  You can donate on http://www.alphaplug.com
	*
	*/	
	getCopyrightNotice ();
?>