<?php
/*
 * @component AlphaUserPoints
 * @copyright Copyright (C) 2008 Bernard Gilly
 * @license : GNU/GPL
 * @Website : http://www.alphaplug.com
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view' );

/**
 * HTML View class for AlphaUserPoints Invite
 *
 * @package	AlphaUserPoints
 */
class alphauserpointsViewInvite extends JView
{

	function _display($tpl = null) {		
		global $mainframe;
		
		$document	= & JFactory::getDocument();
		
		$displ = "view";
		
		require_once (JPATH_SITE.DS.'components'.DS.'com_alphauserpoints'.DS.'helper.php');		
		$result = AlphaUserPointsHelper::checkRuleEnabled('sysplgaup_invite');	
		$points = $result[0]->points;
		
		$this->assignRef( 'params', $this->params );
		$this->assignRef( 'referreid', $this->referreid );		
		$this->assignRef( 'points', $points );		
		$this->assignRef( 'displ', $displ );
		
		JHTML::_('behavior.formvalidation');
		
		parent::display($tpl);
	}		
	
	
	function _display_sent( $counter = 0, $tpl = null ) {		
		global $mainframe;
		
		$displ = "sent";
		$message = "";

		switch ( $counter ) {		
			case '0':
				$message = JText :: _('AUP_NO_EMAIL_HAS_BEEN_SENT');				
				break;				
			case '1':
				$message = JText :: _('AUP_EMAIL_SENT');				
				break;			
			default:
				$message = JText :: _('AUP_EMAILS_SENT');
				$message = sprintf( $message, $counter);
				break;				
		}
		
		$this->assignRef( 'displ', $displ );	
		$this->assignRef( 'params', $this->params );	
		$this->assignRef( 'message', $message );
		
		parent::display($tpl);
		
	}
	
}
?>