<?php
/*
 * @component AlphaUserPoints
 * @copyright Copyright (C) 2008 Bernard Gilly
 * @license : GNU/GPL
 * @Website : http://www.alphaplug.com
 */

// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

/**
 * AlphaUserPoints Content Plugin
 *
 * @package		Joomla
 * @subpackage	AlphaUserPoints
 * @since 		1.5
 */

class plgContentsysplgaup_reader2author extends JPlugin
{

	function plgContentsysplgaup_reader2author( &$subject, $params )
	{
		parent::__construct( $subject, $params );
	}


	function onAfterDisplayContent( &$article, &$params, $limitstart )
	{
		global $mainframe;
		
		if ($mainframe->isAdmin()) return; 
		
		$option = JRequest::getCmd('option', '');
		$view   = JRequest::getVar('view', '');
		
		$authorid = $article->created_by;
		$articleid= $article->id;
		
		switch ( $view ) {
			case 'article' :
				if ( $option=='com_content' && $limitstart==0 ) {
					JPlugin::loadLanguage( 'com_alphauserpoints' );
					require_once (JPATH_SITE.DS.'components'.DS.'com_alphauserpoints'.DS.'helper.php');
					AlphaUserPointsHelper::reader2author($authorid, $articleid);
				}
				break;
			default:					
		}	
	}
}