<?php
/*
 * @component AlphaUserPoints
 * @copyright Copyright (C) 2008 Bernard Gilly
 * @license : GNU/GPL
 * @Website : http://www.alphaplug.com
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

global $mainframe;

$rows = $this->top10;
$rowsPA = $this->unapproved10;
$rowsCR = $this->requestslevel;
if ( $this->needSync ) {	
	$error = JText::_('AUP_MSG_NEEDSYNCUSERS');
	JError::raiseNotice(0, $error );

}
?>
<table class="adminform">			
	<tr>
		<td width="50%" valign="top">
			<div id="cpanel">
			<?php
					$link = 'index.php?option=com_alphauserpoints&task=rules';
					aup_createIconPanel($link, 'icon-48-rules.png', JText::_('AUP_RULES'));
					
					$link = 'index.php?option=com_alphauserpoints&task=statistics';
					aup_createIconPanel($link, 'icon-48-awards.png', JText::_('AUP_STATISTICS'));

					$link = 'index.php?option=com_alphauserpoints&task=plugins';
					aup_createIconPanel($link, 'icon-48-plugins.png', JText::_('AUP_PLUGINS'));
					
					$link = 'index.php?option=com_alphauserpoints&task=usersync';
					aup_createIconPanel($link, 'icon-48-usersync.png', JText::_('AUP_USERSYNC'));
					
					$link = 'index.php?option=com_alphauserpoints&task=recalculate';					
					aup_createIconPanel($link, 'icon-48-recalculate.png', JText::_('AUP_RECALCULATE'));
					
					$link = 'index.php?option=com_alphauserpoints&task=resetpoints';					
					aup_createIconPanel($link, 'icon-48-reset.png', JText::_('AUP_RESETPOINTS'));
					
					$link = 'index.php?option=com_alphauserpoints&task=setmaxpoints';
					aup_createIconPanel($link, 'icon-48-maxpoints.png', JText::_('AUP_SETMAXPOINST'));
					
					$link = 'index.php?option=com_alphauserpoints&task=purge';
					aup_createIconPanel($link, 'icon-48-trash.png', JText::_('AUP_PURGEEXPIRESPOINTS'));
					
					$link = 'index.php?option=com_alphauserpoints&task=exportactiveusers';
					aup_createIconPanel($link, 'icon-48-mostactiveusers.png', JText::_('AUP_EXPORTACTIVEUSERS'));

					$link = 'index.php?option=com_alphauserpoints&task=exportemails';
					aup_createIconPanel($link, 'icon-48-massmail.png', JText::_('AUP_EXPORTEMAILS'));					

					$link = 'index.php?option=com_alphauserpoints&task=about';
					aup_createIconPanel($link, 'icon-48-credits.png', JText::_('AUP_ABOUT'));
					
					$link = '#';
					if (file_exists( JPATH_COMPONENT . "/help/" . $this->tag . "/screen.how_create_plugin.html")){
						$javascript = "onclick=\"popupWindow('components/com_alphauserpoints/help/" . $this->tag . "/screen.how_create_plugin.html', 'Help', 640, 480, 1)\"";
					} else $javascript = "onclick=\"popupWindow('components/com_alphauserpoints/help/en-GB/screen.how_create_plugin.html', 'Help', 640, 480, 1)\"";
					aup_createIconPanel($link, 'icon-48-plugins_help.png', JText::_('AUP_HOWTO'), $javascript);					
					
					$link = '#';
					if (file_exists( JPATH_COMPONENT . "/help/" . $this->tag . "/screen.alphauserpoints.html")){
						$javascript = "onclick=\"popupWindow('components/com_alphauserpoints/help/" . $this->tag . "/screen.alphauserpoints.html', 'Help', 640, 480, 1)\"";
					} else $javascript = "onclick=\"popupWindow('components/com_alphauserpoints/help/en-GB/screen.alphauserpoints.html', 'Help', 640, 480, 1)\"";
					aup_createIconPanel($link, 'icon-48-help_header.png', JText::_('HELP'), $javascript);
					$link4welcome = "<a href=\"#\" $javascript>";
					$endlinkwelcome = "</a>";

			?>
			</div>	
		</td>
		<td width="50%" valign="top">
		<?php
			echo $this->pane->startPane("content-pane");
			
			echo $this->pane->startPanel(JText::_('AUP_WELCOMETOALPHAUSERPOINTS'), "cpanel-panel-welcome" );
			echo "<img src=\"components/com_alphauserpoints/assets/images/aup_logo_140.png\" style=\"padding:2px;\" alt=\"\" /><br />";
			echo JText::sprintf('AUP_WELCOMEPANELTEXT', $link4welcome, $endlinkwelcome);
			echo $this->pane->endPanel();	
			
			echo $this->pane->startPanel(JText::_('AUP_USERSAWARDS'), "cpanel-panel-usersawards" );
			
			if ( $rows ) {
		?>
		<table class="adminlist">
		<tr>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_NAME' ); ?></strong>
			</td>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_USERNAME' ); ?></strong>
			</td>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_POINTS' ); ?></strong>
			</td>
		</tr>
		<?php		
			foreach ($rows as $row)	{			
				?>
				<tr>
					<td>					
						<?php echo htmlspecialchars($row->name, ENT_QUOTES, 'UTF-8');?>
					</td>
					<td>
						<?php echo $row->username;?>
					</td>
					<td>
						<?php echo $row->points;?>
					</td>
				</tr>
				<?php
			}
			?>
		  </table>
		
		<?php
		}
			echo $this->pane->endPanel();
			
			$nb = ( $rowsPA ) ? ' (<font color="red">'.$this->totalunapproved.'</font>)' : ' (<font color="green">0</font>)';
			
			echo $this->pane->startPanel(JText::_('AUP_PENDING_APPROVAL').$nb, "cpanel-panel-pending-approval" );
			
			if ( $rowsPA ) {
		?>
		<table class="adminlist">
		<tr>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_DATE' ); ?></strong>
			</td>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_RULENAME' ); ?></strong>
			</td>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_NAME' ); ?></strong>
			</td>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_USERNAME' ); ?></strong>
			</td>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_POINTS' ); ?></strong>
			</td>
		</tr>
		<?php		
			foreach ($rowsPA as $rowPA)	{			
				?>
				<tr>
					<td>					
						<?php echo $rowPA->insert_date; ?>
					</td>
					<td>					
						<?php echo JText::_( $rowPA->rule_name ); ?>
					</td>
					<td>					
						<?php
						 $linkPA = "<a href=\"index.php?option=com_alphauserpoints&task=showdetails&cid=".$rowPA->referreid."&name=".htmlspecialchars($rowPA->name, ENT_QUOTES, 'UTF-8')."\">";
						
						 echo $linkPA . htmlspecialchars($rowPA->name, ENT_QUOTES, 'UTF-8') . "</a>";
						 
						 ?>
					</td>
					<td>
						<?php echo $rowPA->username;?>
					</td>
					<td>
						<?php echo $rowPA->pendingapprovalpoints;?>
					</td>
				</tr>
				<?php
			} 
			?>
		  </table>
		
		<?php
		} else echo "<p>" . JText::_( 'AUP_NO_PENDING_APPROVAL' ) . "</p>";
			
			
			echo $this->pane->endPanel();
			
			
			$nc = ( $rowsCR ) ? ' (<font color="red">'.$this->totalrequestslevel.'</font>)' : ' (<font color="green">0</font>)';
			
			echo $this->pane->startPanel(JText::_('AUP_CURRENTREQUESTSFORCHANGELEVEL').$nc, "cpanel-panel-pending-requests" );
			
			if ( $rowsCR ) {
		?>
		<table class="adminlist">
		<tr>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_DATE' ); ?></strong>
			</td>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_NAME' ); ?></strong>
			</td>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_USERNAME' ); ?></strong>
			</td>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_USERLEVEL' ); ?></strong>
			</td>
			<td class="title">
				<strong><?php echo JText::_( 'AUP_RESPONSE' ); ?></strong>
			</td>
		</tr>
		<?php		
			foreach ($rowsCR as $rowCR)	{			
				?>
				<tr>
					<td>					
						<?php echo $rowCR->requestdate; ?>
					</td>
					<td>					
						<?php echo htmlspecialchars($rowCR->name, ENT_QUOTES, 'UTF-8'); ?>
					</td>
					<td>					
						<?php echo JText::_( $rowCR->username ); ?>
					</td>
					<td>
						<?php						
						 switch ( $rowCR->levelrequest ){						 
						 	case "19" : // group Author
								echo JText::_( 'AUP_REGISTERED' ).' &raquo; '.JText::_( 'AUP_AUTHOR' );
								break;
							case "20" : // group editor
								echo JText::_( 'AUP_AUTHOR' ).' &raquo; '.JText::_( 'AUP_EDITOR' );
								break; 
							case "21": // group publisher
								echo JText::_( 'AUP_EDITOR' ).' &raquo; '.JText::_( 'AUP_PUBLISHER' );
								break;					 
						 }						 
						 ?>
					</td>
					<td>
					<?php
					 $linkCRaccept = "<a href=\"index.php?option=com_alphauserpoints&task=changeuserlevel&id=".$rowCR->id."&uid=".$rowCR->userid."&assignlevel=".$rowCR->levelrequest."\">";
					 $linkCRreject = "<a href=\"index.php?option=com_alphauserpoints&task=rejectrequest&id=".$rowCR->id."\">";
					 
					 echo $linkCRaccept . JText::_( AUP_ACCEPT ) . "</a>&nbsp;-&nbsp;";
					 echo $linkCRreject . JText::_( AUP_REJECT ) . "</a>";
					 ?>
					</td>
				</tr>
				<?php
			} 
			?>
	    </table>
		<?php
		} else echo "<p>" . JText::_( 'AUP_NOREQUEST' ) . "</p>";
			
			echo $this->pane->endPanel();
			
			echo $this->pane->endPane();
		?>				
		</td>			
	</tr>
</table>