<?php
/*
 * @component AlphaUserPoints
 * @copyright Copyright (C) 2008 Bernard Gilly
 * @license : GNU/GPL
 * @Website : http://www.alphaplug.com
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

JToolBarHelper::title(   JText::_('AUP_STATISTICS'), 'searchtext' );
JToolBarHelper::custom( 'cpanel', 'default.png', 'default.png', JText::_('AUP_CPANEL'), false );
JToolBarHelper::custom( 'applybonus', 'new.png', 'new.png', JText::_('AUP_BONUS'), true );
JToolBarHelper::editList( 'edituser' );
JToolBarHelper::help( 'screen.alphauserpoints', true );
?>
<form action="index.php" method="post" name="adminForm">
<table>
<tr>
	<td align="left" width="100%">
		<?php echo JText::_( 'Filter' ); ?>:
		<input type="text" name="search" id="search" value="<?php echo @$this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
		<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
		<button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
	</td>
</tr>
</table>

	<table class="adminlist" cellpadding="1">
		<thead>
			<tr>
				<th width="2%" class="title">
					<?php echo JText::_( 'NUM' ); ?>
				</th>
				<th width="3%" class="title">
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->usersStats); ?>);" />
				</th>
				<th width="4%" class="title">
					<?php //echo JText::_('AUP_ID'); ?>
					<?php echo JHTML::_('grid.sort',   'AUP_ID', 'a.userid', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="12%" class="title" >
					<?php //echo JText::_('AUP_NAME'); ?>
					<?php echo JHTML::_('grid.sort',   'AUP_NAME', 'u.name', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="12%" class="title" nowrap="nowrap">
					<?php //echo JText::_( 'AUP_USERNAME' ); ?>
					<?php echo JHTML::_('grid.sort',   'AUP_USERNAME', 'u.username', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="12%" class="title" nowrap="nowrap">
					<?php echo JText::_( 'AUP_REFERREID' ); ?>
				</th>
				<th width="6%" class="title">
					<?php //echo JText::_( 'AUP_POINTS' ); ?>
					<?php echo JHTML::_('grid.sort',   'AUP_POINTS', 'a.points', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="6%" class="title">
					<?php echo JText::_( 'AUP_MAXPOINTS' ); ?>
				</th>
				<th width="20%" class="title" nowrap="nowrap">
					<?php //echo JText::_( 'AUP_LASTUPDATE' ); ?>
					<?php echo JHTML::_('grid.sort',   'AUP_LASTUPDATE', 'a.last_update', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="12%" class="title" nowrap="nowrap">
					<?php //echo JText::_( 'AUP_REFERRALUSER' ); ?>
					<?php echo JHTML::_('grid.sort',   'AUP_REFERRALUSER', 'a.referraluser', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="3%" class="title" nowrap="nowrap">
					<?php echo JText::_( 'AUP_REFERREES' ); ?>
				</th>
				<th class="title" nowrap="nowrap">
					<?php echo JText::_( 'AUP_DETAILS' ); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="12">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
			$k = 0;
			for ($i=0, $n=count( $this->usersStats ); $i < $n; $i++)
			{
				$row 	=& $this->usersStats[$i];				
								
				$link 			= 'index.php?option=com_alphauserpoints&amp;task=edituser&amp;cid[]='. $row->id. '';
				$link_details 	= 'index.php?option=com_alphauserpoints&amp;task=showdetails&amp;cid='. $row->referreid. '&amp;name='. $row->name .'';
	
				$db =& JFactory::getDBO();		

				$nullDate 		= $db->getNullDate();				
				
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
					<?php echo $i+1+$this->pagination->limitstart;?>
				</td>
				<td align="center">
					<?php echo JHTML::_('grid.id', $i, $row->id ); ?>
				</td>
				<td align="center">
					<?php echo $row->userid;?>
				</td>
				<td>					
					<?php echo $row->name; ?>					
				</td>
				<td>
					<?php echo $row->username; ?>
				</td>
				<td>
					<a href="<?php echo $link; ?>">
					<?php echo $row->referreid; ?>
					</a>
				</td>
				<td align="center">				
					<?php echo $row->points; ?>
				</td>
				<td align="center">
					<?php echo $row->max_points; ?>
				</td>
				<td align="center">
					<?php 
					if ( $row->last_update == $nullDate ) {
						echo '-';
					} else {
						echo JHTML::_('date',  $row->last_update,  JText::_('DATE_FORMAT_LC2') );
					}
					?>
				</td>
				<td>				
					<?php echo $row->referraluser; ?>
				</td>
				<td align="center">				
					<?php 
					$nb_referrees = ( $row->referrees ) ? $row->referrees : "" ;
					echo $nb_referrees;					 
					?>
				</td>
				<td align="center">
					<a href="<?php echo $link_details; ?>">
					<?php echo JText::_('AUP_DETAILS'); ?>
					</a>
				</td>
			</tr>
			<?php
				$k = 1 - $k;
				}
			?>
		</tbody>
	</table>
	<input type="hidden" name="option" value="com_alphauserpoints" />
	<input type="hidden" name="task" value="statistics" />
	<input type="hidden" name="table" value="alpha_userpoints" />
	<input type="hidden" name="redirect" value="statistics" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo @$this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo @$this->lists['order_Dir']; ?>" />	
</form>

