<?php
/*
 * @component AlphaUserPoints
 * @copyright Copyright (C) 2008 Bernard Gilly
 * @license : GNU/GPL
 * @Website : http://www.alphaplug.com
 */

 // no direct access
defined('_JEXEC') or die('Restricted access');

if ( $this->params->def('show_username_cols', 1) ) {
	$colspan = 6;
} else $colspan = 5;
?>
<script language="javascript" type="text/javascript">
	function tableOrdering( order, dir, task ) {
	var form = document.adminForm;

	form.filter_order.value 	= order;
	form.filter_order_Dir.value	= dir;
	document.adminForm.submit( task );
}
</script>
<?php if ( $this->params->get( 'show_page_title', 1 ) ) { ?>
	<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
		<?php echo $this->params->get( 'page_title' ); ?>
	</div>
<?php } ?>
<form action="<?php echo JFilterOutput::ampReplace($this->action); ?>" method="post" name="adminForm">
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
			<?php if ($this->params->def('show_limit', 1)) { ?>
			<tr>
				<td align="right" colspan="<?php echo $colspan; ?>">
				<?php
					echo JText::_('AUP_DISPLAY_NUM') .'&nbsp;';
					echo $this->pagination->getLimitBox();
				?>
				</td>
			</tr>
			<?php } ?>
			<?php if ( $this->params->def( 'show_headings', 1 ) ) { ?>
			<tr>
				<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" width="5%" align="center">
					<?php echo JText::_( 'AUP_NUM' ); ?>
				</td>
				<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" width="18%">
					<?php echo JHTML::_('grid.sort', 'AUP_NAME', 'u.name', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</td>
				<?php if ( $this->params->def( 'show_username_cols', 1 ) ) { ?>
					<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" width="18%">
						<?php echo JHTML::_('grid.sort', 'AUP_USERNAME', 'u.username', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					</td>
				<?php } ?>
				<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" width="25%">
					<?php echo JHTML::_('grid.sort', 'AUP_REFERREID', 'aup.referreid', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</td>
				<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" width="10%" align="center">
					<?php echo JHTML::_('grid.sort', 'AUP_POINTS_UPPER', 'aup.points', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</td>
				<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
					<?php echo JHTML::_('grid.sort', 'AUP_REFERRALUSER', 'aup.referraluser', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</td>
			</tr>
			<?php } ?>
		<?php
			$k = 0;
			for ($i=0, $n=count( $this->rows ); $i < $n; $i++)
			{
				$row 	=& $this->rows[$i];				
			
			?>
			<tr class="sectiontableentry<?php echo $k; ?>">
				<td align="center">
					<?php echo $i+1+$this->pagination->limitstart; ?>
				</td>
				<td>
					<?php echo $row->usr_name;?>
				</td>
				<?php if ( $this->params->def( 'show_username_cols', 1 ) ) { ?>
					<td>					
						<?php echo $row->usr_username; ?>			
					</td>
				<?php } ?>
				<td>
					<?php echo $row->referreid; ?>
				</td>
				<td align="center">				
					<?php echo $row->points; ?>
				</td>
				<td>				
					<?php echo $row->referraluser; ?>
				</td>
			</tr>
			<?php
				$k = 1 - $k;
				}
			?>
			<tr>
				<td class="sectiontablefooter<?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="center" colspan="<?php echo $colspan; ?>">
				<?php echo "<br />" . $this->pagination->getPagesLinks(); ?>
				</td>
			</tr>
			<tr>
				<td class="pagecounter" align="right"  colspan="<?php echo $colspan; ?>">
					<?php echo $this->pagination->getPagesCounter(); ?>
				</td>
			</tr>
	</table>	
	<input type="hidden" name="filter_order" value="<?php echo @$this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo @$this->lists['order_Dir']; ?>" />	
</form>
<?php
	/** 
	*
	*  Provide copyright on frontend
	*  If you remove or hide this line below,
	*  please make a donation if you find AlphaUserPoints useful
	*  and want to support its continued development.
	*  Your donations help by hardware, hosting services and other expenses that come up as we develop,
	*  protect and promote AlphaUserPoints and other free components.
	*  You can donate on http://www.alphaplug.com
	*
	*/	
	getCopyrightNotice ();
?>
