<?php
/*
 * @component AlphaUserPoints
 * @copyright Copyright (C) 2008 Bernard Gilly
 * @license : GNU/GPL
 * @Website : http://www.alphaplug.com
 */

defined('_JEXEC') or die('Restricted access');

defined('JPATH_BASE') or die();
global $mainframe;

// include version
require_once (JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'assets'.DS.'includes'.DS.'version.php');
require_once (JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'assets'.DS.'includes'.DS.'functions.php');

$file_destination_php = JPATH_PLUGINS.DS.'system'.DS.'alphauserpoints.php';
$file_destination_xml = JPATH_PLUGINS.DS.'system'.DS.'alphauserpoints.xml';

$file_original_php = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'install'.DS.'plugins'.DS.'alphauserpoints.php';
$file_original_xml = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'install'.DS.'plugins'.DS.'alphauserpoints.xml';

@copy ($file_original_php, $file_destination_php );
@copy ($file_original_xml, $file_destination_xml );

// ========================================================================

$file_destination_php = JPATH_PLUGINS.DS.'user'.DS.'sysplgaup_newregistered.php';
$file_destination_xml = JPATH_PLUGINS.DS.'user'.DS.'sysplgaup_newregistered.xml';

$file_original_php = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'install'.DS.'plugins'.DS.'sysplgaup_newregistered.php';
$file_original_xml = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'install'.DS.'plugins'.DS.'sysplgaup_newregistered.xml';

@copy ($file_original_php, $file_destination_php );
@copy ($file_original_xml, $file_destination_xml );

// ========================================================================


$file_destination_php = JPATH_PLUGINS.DS.'content'.DS.'sysplgaup_reader2author.php';
$file_destination_xml = JPATH_PLUGINS.DS.'content'.DS.'sysplgaup_reader2author.xml';

$file_original_php = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'install'.DS.'plugins'.DS.'sysplgaup_reader2author.php';
$file_original_xml = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'install'.DS.'plugins'.DS.'sysplgaup_reader2author.xml';

@copy ($file_original_php, $file_destination_php );
@copy ($file_original_xml, $file_destination_xml );

// ========================================================================


// publish plugin 
$db	=& JFactory::getDBO(); 

$query = "INSERT INTO `#__plugins` VALUES ('', 'System - AlphaUserPoints', 'alphauserpoints', 'system', 0, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', '')";
$db->setQuery( $query );
$db->query();

$query = "INSERT INTO `#__plugins` VALUES ('', 'User - AlphaUserPoints - New user', 'sysplgaup_newregistered', 'user', 0, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', '')";
$db->setQuery( $query );
$db->query();

$query = "INSERT INTO `#__plugins` VALUES ('', 'Content - AlphaUserPoints - Reader to author', 'sysplgaup_reader2author', 'content', 0, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', '')";
$db->setQuery( $query );
$db->query();

$debugInstallSQL = "";
/*
// check if install.mysql.sql populate tables
$query = "SELECT `referreid` FROM #__alpha_userpoints";
$db->setQuery( $query );
// if not installed by install.mysql.sql...
// populate now
if (!$db->query()) {
		$query = "CREATE TABLE IF NOT EXISTS #__alpha_userpoints (
	  `id` int(11) NOT NULL auto_increment,
	  `userid` int(11) NOT NULL default '0',
	  `referreid` varchar(20) NOT NULL default '',
	  `points` int(11) NOT NULL default '0',
	  `max_points` int(11) NOT NULL default '0',
	  `last_update` datetime NOT NULL default '0000-00-00 00:00:00',
	  `referraluser` varchar(20) NOT NULL default '',
	  `referrees` int(11) NOT NULL default '0',	  
	  `blocked` tinyint(1) NOT NULL default '0',
	  PRIMARY KEY  (`id`)
	) TYPE=MyISAM;";
	$db->setQuery( $query );
	$db->query();
	
	$query = "CREATE TABLE IF NOT EXISTS #__alpha_userpoints_details (
	  `id` int(11) NOT NULL auto_increment,
	  `referreid` varchar(20) NOT NULL default '',
	  `points` int(11) NOT NULL default '0',
	  `insert_date` datetime NOT NULL default '0000-00-00 00:00:00',
	  `expire_date` datetime NOT NULL default '0000-00-00 00:00:00',
	  `status` tinyint(1) NOT NULL default '0',
	  `rule` int(11) NOT NULL default '0',
	  `approved` tinyint(1) NOT NULL default '1',
	  `keyreference` varchar(100) NOT NULL default '',
	  `datareference` varchar(255) NOT NULL default '',
	  PRIMARY KEY  (`id`)
	) TYPE=MyISAM;";
	$db->setQuery( $query );
	$db->query();
	
	$query = "CREATE TABLE IF NOT EXISTS #__alpha_userpoints_rules (
	  `id` int(11) NOT NULL auto_increment,
	  `rule_name` varchar(30) NOT NULL default '',
	  `rule_description` varchar(255) NOT NULL default '',
	  `rule_plugin` varchar(30) NOT NULL default '', 
	  `plugin_function` varchar(50) NOT NULL default '', 
	  `access` tinyint(1) NOT NULL default '1',
	  `component` varchar(50) NOT NULL default '',
	  `calltask` varchar(50) NOT NULL default '',
	  `taskid` varchar(50) NOT NULL default '',
	  `points` int(11) NOT NULL default '0',
	  `percentage` tinyint(1) NOT NULL default '0',
	  `rule_expire` datetime NOT NULL default '0000-00-00 00:00:00',
	  `sections` text NOT NULL default '',
	  `categories` text NOT NULL default '',
	  `content_items` text NOT NULL default '',
	  `exclude_items` text NOT NULL default '',
	  `published` tinyint(1) NOT NULL default '0',
	  `system` tinyint(1) NOT NULL default '0',
	  `duplicate` tinyint(1) NOT NULL default '0',
	  `blockcopy` tinyint(1) NOT NULL default '0',
	  `autoapproved` tinyint(1) NOT NULL default '1',
	  PRIMARY KEY  (`id`)
	) TYPE=MYISAM;";
	$db->setQuery( $query );
	$db->query();
	
	$query = "INSERT INTO #__alpha_userpoints (`id`, `userid`, `referreid`, `points`, `max_points`, `last_update`, `referraluser`, `referrees`, `blocked`) VALUES ('', '0', 'GUEST', '0', '0', '0000-00-00 00:00:00', '', '0', '0');";
	$db->setQuery( $query );
	$db->query();
	
	$query = "INSERT INTO #__alpha_userpoints_rules (`id`, `rule_name`, `rule_description`, `rule_plugin`, `plugin_function`, `access`, `component`, `calltask`, `taskid`, `points`, `percentage`, `rule_expire`, `sections`, `categories`, `content_items`, `exclude_items`, `published`, `system`, `duplicate`, `blockcopy`, `autoapproved`) VALUES
	('', 'AUP_NEWUSER', 'AUP_NEWUSERDESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_newregistered', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 1, 1, 0, 1, 1),
	('', 'AUP_INVITE', 'AUP_INVITE_A_USER', 'AUP_SYSTEM', 'sysplgaup_invite', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),
	('', 'AUP_INVITESUCCES', 'AUP_INVITE_A_USERSUCCESS', 'AUP_SYSTEM', 'sysplgaup_invitewithsuccess', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),
	('', 'AUP_SUBMITANARTICLE', 'AUP_SUBMITANARTICLEDESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_submitarticle', '2', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 0),
	('', 'AUP_SUBMITAWEBLINK', 'AUP_SUBMITAWEBLINKDESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_submitweblink', '2', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 0),
	('', 'AUP_INVITETOREADARTICLE', 'AUP_INVITETOREADARTICLEDESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_recommend', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),
	('', 'AUP_READTOAUTHOR', 'AUP_READTOAUTHORDESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_reader2author', '0', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),
	('', 'AUP_ANSWERINGAPOLL', 'AUP_ANSWERINGAPOLLDESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_answeringpoll', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),
	('', 'AUP_USER2USERPOINTS', 'AUP_USER2USERPOINTSDESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_user2userpoints', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),
	('', 'AUP_REFERRALPOINTS', 'AUP_REFERRALPOINTSDESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_referralpoints', '1', '', '', '', 0, 1, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),
	('', 'AUP_BONUSPOINTS', 'AUP_BONUSPOINTSDESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_bonuspoints', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),
	('', 'AUP_BECOME_AUTHOR', 'AUP_BECOME_AUTHOR_DESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_becomeauthor', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),
	('', 'AUP_BECOME_EDITOR', 'AUP_BECOME_EDITOR_DESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_becomeeditor', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),
	('', 'AUP_BECOME_PUBLISHER', 'AUP_BECOME_PUBLISHER_DESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_becomepublisher', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),	
	('', 'AUP_EXCLUDESPECIFICUSERS', 'AUP_EXCLUDESPECIFICUSERSDESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_excludeusers', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),
	('', 'AUP_EMAILNOTIFICATION', 'AUP_EMAILNOTIFICATIONDESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_emailnotification', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1),
	('', 'AUP_WINNERNOTIFICATION', 'AUP_WINNERNOTIFICATIONDESCRIPTION', 'AUP_SYSTEM', 'sysplgaup_winnernotification', '1', '', '', '', 0, 0, '0000-00-00 00:00:00', '', '', '', '', 0, 1, 0, 1, 1);";
	$db->setQuery( $query );
	$db->query();
	
	$debugInstallSQL = "Tables installed successfully";
}
*/

if (!file_exists ($file_destination_php ) ) {
	$mainframe->redirect( 'index.php?option=com_alphauserpoints','NOTICE: AlphaUserPoints plugins are not successfully installed. Make sure that the plugins directory is writeable' );
} else {
	
	// UNLINK PLUGINS INTO INSTALL COMPONENT DIRECTORY 
	@unlink( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'install'.DS.'plugins'.DS.'alphauserpoints.php' );
	@unlink( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'install'.DS.'plugins'.DS.'alphauserpoints.xml' );	
	
	@unlink( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'install'.DS.'plugins'.DS.'sysplgaup_newregistered.php' );
	@unlink( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'install'.DS.'plugins'.DS.'sysplgaup_newregistered.xml' );	
	
	@unlink( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'install'.DS.'plugins'.DS.'sysplgaup_reader2author.php' );
	@unlink( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_alphauserpoints'.DS.'install'.DS.'plugins'.DS.'sysplgaup_reader2author.xml' );	
	
	
	// Modify the admin icons
	$query = "SELECT id FROM #__components WHERE `name`='AlphaUserPoints'";
	$db->setQuery( $query );
	$id = $db->loadResult();

	//add new admin menu images
	$query = "UPDATE #__components SET `name`='AlphaUserPoints', admin_menu_img = '../administrator/components/com_alphauserpoints/assets/images/referral_icon.png' WHERE id='$id'";
	$db->setQuery( $query );
	$db->query();

?>
<table width="100%" border="0">
<tr>
  <td><img src="components/com_alphauserpoints/assets/images/aup_logo.png" alt="" /></td>
</tr>
<tr>
	<td><br />
	<strong>AlphaUserPoints - A Joomla User Points System Component</strong><br />
	<?php aup_CopySite ('left'); ?><br />
	<?php echo $debugInstallSQL ; ?>
	</td>
</tr>
<tr>
  <td style="border:1px solid #999999;color:green;font-weight:bold; background-color:E0E0E0;">Installation finished.</td>
</tr>
</table>
<?php } ?>